Description

A vulnerability has been reported in the BookLibrary component for Joomla!, which can be exploited by malicious people to conduct SQL injection attacks.

Input passed via the “searchtext” parameter to index.php (when “option” is set to “com_booklibrary” and “task” is set to “search”) is not properly sanitised before being used in an SQL query. This can be exploited to manipulate SQL queries by injecting arbitrary SQL code.

The vulnerability is reported in version 2.0. Other versions may also be affected.

Solution

The vendor has released an updated version 2.0, which fixes the vulnerability.

Provided and/or discovered by
Marc Doudiet

Original Advisory
OrdaSoft:
http://ordasoft.com/Book-Library/security-upgrade-instructions-for-book-library.html

Source Advisory
http://secunia.com/advisories/43785/